> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete environment connection overrides

> Delete environment connection overrides by environment name and connection names



## OpenAPI

````yaml /openapi/public-api-endpoint-reference.yaml delete /v1/projects/{projectId}/connections/environment-overrides
openapi: 3.1.0
info:
  title: Maia Public REST API
  version: '1.0'
servers:
  - description: EU1
    url: https://eu1.api.matillion.com/dpc
  - description: US1
    url: https://us1.api.matillion.com/dpc
security:
  - bearerAuth: []
tags:
  - description: Manage Schedules
    name: Schedules
  - description: Manage Connections
    name: Connections
  - description: Operations for managing Project Variables
    name: Project Variables
  - description: Manage Pipelines
    name: Pipelines
  - description: Review pipelines against quality rules
    name: Pipeline Quality Review
  - description: Execute tests within a project
    name: Test Execution
  - description: Manage your AI agent tasks
    name: AI Agent Tasks
  - description: SCIM endpoints for user/group permission management
    name: Directory Integration
  - description: Publish shared pipeline artifacts
    name: Shared Pipeline Artifacts
  - description: Manage Repositories
    name: Repositories
  - description: Report on Credit Consumption
    name: Consumption
  - description: Manage Artifacts
    name: Artifacts
  - description: Operations for data lineage and governance
    name: Data Lineage
  - description: Manage Streaming Pipelines
    name: Streaming Pipelines
  - description: Execute a pipeline
    name: Pipeline Execution
  - description: ''
    name: Environments
  - description: ''
    name: Projects
  - description: Manage Agents
    name: Agents
  - description: Operations for managing Environment-level Overrides of Project Variables
    name: Project Variable Environment Overrides
  - description: Query audit events
    name: Audit Events
  - description: Connector Profiles
    name: Connectors
paths:
  /v1/projects/{projectId}/connections/environment-overrides:
    delete:
      tags:
        - Connections
      summary: Delete environment connection overrides
      description: >-
        Delete environment connection overrides by environment name and
        connection names
      operationId: deleteEnvironmentConnectionOverrides
      parameters:
        - description: >-
            The unique identifier of the project from which the environment
            connection overrides will be deleted
          example: 550e8400-e29b-41d4-a716-446655440002
          in: path
          name: projectId
          required: true
          schema:
            type: string
            pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
        - description: >-
            Name of the environment for which the overrides need to be deleted.
            Note: Large numbers of connection names may result in URL length
            limits being exceeded, causing a 400 Bad Request response.
          example: myEnv
          in: query
          name: environmentName
          required: true
          schema:
            type: string
            minLength: 1
        - description: >
            Comma-separated list of connection names whose overrides are to be
            deleted from this environment.

            It's important to note that specifying too many connection names may
            exceed URL length limits and result in a 400 Bad Request response.

            Consider splitting large deletions into multiple requests.
          example: connection1,connection2,connection3
          in: query
          name: connectionNames
          required: true
          schema:
            type: array
            items:
              type: string
            uniqueItems: true
      responses:
        '204':
          description: Environment connection overrides successfully deleted
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: |2
              Invalid request parameters.
              This can occur when specifying too many connection names or when the total URL length exceeds server limits.
              Consider reducing the number of connections in a single request or splitting into multiple requests.
        '403':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Forbidden
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Project, environment, or connection not found
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Internal server error
components:
  schemas:
    ProblemDetail:
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
        status:
          type: integer
          format: int32
        title:
          type: string
        type:
          type: string
          format: uri
        violations:
          type: array
          items:
            type: string
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: a valid bearer token
      scheme: bearer
      type: http

````